Draft Downgrade/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "# Выберите один или несколько объектов, которые вы хотите понизить # Нажмите кнопку {{KEY|Image:Draft Dow...")
(Updating to match new version of source page)
(14 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
|[[Draft_Upgrade|Upgrade]]
|[[Draft_Scale|Scale]]
|[[Draft_Module|Draft]]
|IconL=Draft_Upgrade.svg
|IconR=Draft_Scale.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
Line 13: Line 22:
==Описание==
==Описание==


<div class="mw-translate-fuzzy">
Этот инструмент по-разному понижает выбранные объекты. Если ни один объект не выбран, вам будет предложено выбрать его.
Этот инструмент разбивает выбранные объекты (преобразует объект в несколько объектов нижнего уровня). Если объекты не выбраны, попросите их выбрать.
</div>

The Downgrade tool performs things such as breaking faces, and deconstructing wires into their individual edges. It can cut a shape with another shape in similar way to {{Button|[[Image:Part_Cut.svg|16px]] [[Part Cut|Part Cut]]}}.

The counterpart to this tool is the {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade|Draft Upgrade]]}} operation.


[[Image:Draft_Downgrade_example.jpg|400px]]
[[Image:Draft_Downgrade_example.jpg|400px]]
{{Caption|Face cut from another face; then face downgraded into a closed wire; then downgraded into individual lines}}


<div class="mw-translate-fuzzy">
==Использование==
==Использование==
</div>


<div class="mw-translate-fuzzy">
# Выберите один или несколько объектов, которые вы хотите понизить
# Выберите один или несколько объектов, которые вы хотите понизить
# Нажмите кнопку {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade]]}} или нажмите {{KEY | D}}, затем клавиши {{KEY | N}}
# Нажмите кнопку {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade]]}} или нажмите {{KEY | D}}, затем клавиши {{KEY | N}}
</div>


The selected objects are modified or downgraded, according to the following conditions, in order:
==Options==
# If only one object is selected and it contains more than one face, each face becomes a separate object.
# If there are more than one face in the selection, the subsequent objects are subtracted from the first one.
# If there is only one face in the selection, it gets converted into a wire.
# Otherwise all wires found in the selection are exploded into single edges.


==Опции==
The selected objects are modified/downgraded, according to the following conditions (in order):
* if only one object is selected and it contains more than one face, each face becomes a separate object
* if there are more than one face in the selection, the subsequent objects are subtracted from the first one
* if there is only one face in the selection, it gets converted into a wire
* otherwise all wires found in the selection are exploded into single edges


There are no options for this tool. Either it works with the selected objects or not.
==Example==

== Пример ==


<gallery widths="300" heights="200">
<gallery widths="300" heights="200">
Line 37: Line 59:
</gallery>
</gallery>


<div class="mw-translate-fuzzy">
==Scripting==
== Скриптование ==
</div>


<div class="mw-translate-fuzzy">
The Downgrade tool can be used in python scripts and [[macros]] by using the following function:
Инструмент Даунгрейд можно использовать в сценариях python и [[макросы]], используя следующую функцию:
</div>


{{Code|code=
{{Code|code=
downgrade (objects, [delete], [force])
downgrade_list = downgrade(objects, delete=False, force=None)
addList, deleteList = downgrade(objects, delete=False, force=None)
}}
}}


* Downgrades the given object(s) (can be an object or a list of objects).
* Downgrades the given {{incode|objects}}, which can be a single object or a list of objects.
* If delete is True, old objects are deleted.
* If {{incode|delete}} is {{incode|True}}, old objects are deleted.
* The force attribute can be used to force a certain way of downgrading. It can be: explode, shapify, subtr, splitFaces, cut2, getWire, splitWires.
* If {{incode|force}} is given, it is the internal function to call to force a certain way of downgrading. It can be: {{incode|"explode"}}, {{incode|"shapify"}}, {{incode|"subtr"}}, {{incode|"splitFaces"}}, {{incode|"cut2"}}, {{incode|"getWire"}}, or {{incode|"splitWires"}}.
* Returns a dictionary containing two lists, a list of new objects and a list of objects to be deleted
* {{incode|upgrade_list}} is returned, which is a list containing two lists: a list of new objects ({{incode|addList}}) and a list of objects to be deleted ({{incode|deleteList}}).


Пример:
Example:


{{Code|code=
{{Code|code=
import FreeCADGui,Draft
import FreeCAD, Draft

selection = FreeCADGui.Selection.getSelection()
# Create an union
Draft.downgrade(selection)
Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=True)
union = addList1[0]

# Downgrade the union twice
addList2, deleteList2 = Draft.downgrade(union, delete=False)
wire = addList2[0]

list_edges, deleteList3 = Draft.downgrade(wire, delete=False)

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

list_faces, deleteList4 = Draft.downgrade(Box, delete=True)
}}
}}

{{Docnav
|[[Draft_Upgrade|Upgrade]]
|[[Draft_Scale|Scale]]
|[[Draft_Module|Draft]]
|IconL=Draft_Upgrade.svg
|IconR=Draft_Scale.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 13:47, 1 December 2020

Draft Downgrade

Системное название
Draft Downgrade
Расположение в меню
Черчение -> Перестроить
Верстаки
Draft, Arch
Быстрые клавиши
D N
Представлено в версии
-
См. также
Обновить

Описание

Этот инструмент разбивает выбранные объекты (преобразует объект в несколько объектов нижнего уровня). Если объекты не выбраны, попросите их выбрать.

The Downgrade tool performs things such as breaking faces, and deconstructing wires into their individual edges. It can cut a shape with another shape in similar way to Part Cut.

The counterpart to this tool is the Draft Upgrade operation.

Face cut from another face; then face downgraded into a closed wire; then downgraded into individual lines

Использование

  1. Выберите один или несколько объектов, которые вы хотите понизить
  2. Нажмите кнопку Draft Downgrade или нажмите D, затем клавиши N

The selected objects are modified or downgraded, according to the following conditions, in order:

  1. If only one object is selected and it contains more than one face, each face becomes a separate object.
  2. If there are more than one face in the selection, the subsequent objects are subtracted from the first one.
  3. If there is only one face in the selection, it gets converted into a wire.
  4. Otherwise all wires found in the selection are exploded into single edges.

Опции

There are no options for this tool. Either it works with the selected objects or not.

Пример

Скриптование

Инструмент Даунгрейд можно использовать в сценариях python и макросы, используя следующую функцию:

downgrade_list = downgrade(objects, delete=False, force=None)
addList, deleteList = downgrade(objects, delete=False, force=None)
  • Downgrades the given objects, which can be a single object or a list of objects.
  • If delete is True, old objects are deleted.
  • If force is given, it is the internal function to call to force a certain way of downgrading. It can be: "explode", "shapify", "subtr", "splitFaces", "cut2", "getWire", or "splitWires".
  • upgrade_list is returned, which is a list containing two lists: a list of new objects (addList) and a list of objects to be deleted (deleteList).

Пример:

import FreeCAD, Draft

# Create an union
Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=True)
union = addList1[0]

# Downgrade the union twice
addList2, deleteList2 = Draft.downgrade(union, delete=False)
wire = addList2[0]

list_edges, deleteList3 = Draft.downgrade(wire, delete=False)

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

list_faces, deleteList4 = Draft.downgrade(Box, delete=True)